		
package com.sa.ibiz.demo.workflow.config;

import org.flowable.editor.language.json.converter.CustomFlowableProperty;
import org.flowable.spring.SpringProcessEngineConfiguration;
import org.flowable.spring.boot.EngineConfigurationConfigurer;
import org.springframework.context.annotation.Configuration;

@Configuration
public class CustomerProcessEngineConfiguration implements EngineConfigurationConfigurer<SpringProcessEngineConfiguration> {

	@Override
	public void configure(SpringProcessEngineConfiguration engineConfiguration) {
		CustomerHistoryManager customerHistoryManager = new CustomerHistoryManager(engineConfiguration, engineConfiguration.getHistoryLevel(), engineConfiguration.isUsePrefixId()) ;
		engineConfiguration.setHistoryManager(customerHistoryManager) ;

		new CustomFlowableProperty();
	}
	
    
}
